package de.assono;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import lotus.domino.NotesException;
import lotus.domino.NotesFactory;
import lotus.domino.NotesThread;
import lotus.domino.Session;

public class HelloWorldServlet extends HttpServlet {

	Session session = null;

	public void init(ServletConfig config) throws ServletException {
		super.init(config);

		try {
			NotesThread.sinitThread();
			session = NotesFactory.createSession();

		} catch (NotesException ne) {
			System.out.println("Notes-Fehler #" + ne.id + ": " + ne.text);
		} catch (Exception e) {
			e.printStackTrace();
		}

	}

	public void destroy() {
		super.destroy();

		try {
			session.recycle();
			session = null;
			NotesThread.stermThread();

		} catch (NotesException ne) {
			System.out.println("Notes-Fehler #" + ne.id + ": " + ne.text);
		} catch (Exception e) {
			e.printStackTrace();
		}

	}

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		super.doGet(request, response);

		response.setContentType("text/plain");
		PrintWriter writer = response.getWriter();
		writer.println("Hallo EntwicklerCamp!\n");
		try {
			writer.println("Serverstatus: " + session.sendConsoleCommand(session.getServerName(), "show server") + "\n");

			writer.println("Aktuelle Tasks: " + session.sendConsoleCommand(session.getServerName(), "show tasks only") + "\n");

		} catch (NotesException ne) {
			System.out.println("Notes-Fehler #" + ne.id + ": " + ne.text);
		} catch (Exception e) {
			e.printStackTrace();
		}
		writer.close();

	}

}
